package com.qs.mp.web.controller.api.admin;

import com.qs.mp.admin.domain.param.UserTicketOrderQueryParam;
import com.qs.mp.admin.domain.vo.UserTicketOrderListVO;
import com.qs.mp.common.core.page.TableDataInfo;
import com.qs.mp.user.service.IUserTicketOrderService;
import com.qs.mp.web.controller.common.BaseApiController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author Cup
 * @date 2022/5/6
 */
@RestController
@RequestMapping("/api/v1/mp/admin/ticket/order")
@Api(tags = "用户盲票订单接口")
public class UserTicketOrderMgrController extends BaseApiController {


    @Autowired
    private IUserTicketOrderService userTicketOrderService;

    @PostMapping("list")
    @ApiOperation("用户盲票订单列表")
    @ApiResponses(
            @ApiResponse(code = 200, message = "成功", response = UserTicketOrderListVO.class)
    )
    public TableDataInfo list(@RequestBody UserTicketOrderQueryParam userTicketOrderQueryParam) {
        startPage();
        List<UserTicketOrderListVO> list = userTicketOrderService.listUserTicketOrder(userTicketOrderQueryParam);
        return getDataTable(list);
    }
}
